Bug 97941 - INSERT: SVG <tspan> font size is incorrect when using relative units
Summary: INSERT: SVG <tspan> font size is incorrect when using relative units
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: filter:svgInsert target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 16:21 UTC by Xisco Faulí
Modified: 2016-10-25 19:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (314 bytes, image/svg+xml)
2016-02-17 16:21 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-02-17 16:21:04 UTC
Created attachment 122737 [details]
sample

This is because the tspan's font-size is set to the the tspan and the text element when it should only be set to the tspan.
Comment 1 Commit Notification 2016-02-18 08:40:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85c789be1f94777b582977e69b16665a47dc364f

SVGIO: tdf#97941: Don't double tspan fontsize

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.